# CHANGELOG

## 6.3.2 (May 2016)

### Bug

* Fixes bug with master/slave ad calls.

## 6.3.1 (Apr 2016)

### Bug

* Fixes memory leak due to viewability tracking.
* Fixes parallax ad calls to delegate when ad request times out.

## 6.3 (Apr 2016)

### New features

* Add _SASAdViewContainerCell_, an helper class for easier integration of your banner ads in _UITableViews_. Check-out the Banner in Tableview integration guide and the project samples for examples.
* Add helper method to calculate the perfect height for your SASBannerView according to the ad's aspect ratio : _optimalAdHeightForContainer:_. Ideal for UITableView integrations and resizing your banner properly after an ad loaded.
* Add _delegate methods_ to let you know when an ad is going to play/stop audio and modify the shared _AVAudioSession_. 
* Mediation : added support for _AppsFire (MNGAds)_ SDK v2.0.8.

### Bug

* Fixes Auto-close issue for interstitial ads with a duration of 0 second.

### Improvement

* Support of _multi-tasking apps_ on iPad has been greatly improved to achieve a perfect display of all banners / interstitials ads automatically, whatever the size of the app's window.
* SDK has been converted to _ARC_ for better memory management.

## 6.2 (Dec 2015)

**Warning:** _iOS 6_ support has been removed in the _SDK 6.2_.

### New features

* Fix potential navigation tint color issue when presenting _StoreKit_ modal view
* Remove deprecated method _adView:didDownloadAdData:_
* Add _adViewWillCloseExpand:_ delegate to _SASAdViewDelegate_
* Add a 'duration' property to _SASAd_
* Add Native Ad support in _ObjcSample_
* Add Native Ad support in _SwiftSample_
* Swift: mark public API parameters as 'nullable' or 'notnull'
* Add option to display counter countdown for interstitial template
* Remove _adView:willPerformActionWithExit:_ from _SASAdViewDelegate_
* Suppress all methods marked as deprecated

### Bug

* Refresh issue when switching from premium ad and mediation ad
* When using MRAID Expand without status bar, a transparent area remains visible
* Potential crash in post click modal view

### Improvement

* Make the auto refresh work when banner is hidden at start
* Mediation: update _InMobi SDK_ to 5.0.2
* Mediation: update _Millennial Media SDK_ to 6.1.0
* Mediation: update _Facebook's Audience Network SDK_ to 4.7.1

## 6.1 (Sept 2015)

### New features

* _iOS 9_ bitcode support
* Samples updated with HTTP enabled

## 6.0 (Jun 2015)

### New features

* New native format: Video Read Banner, including VAST tracking,
* Support for ad viewability tracking metrics (ad exposure time and relative area)
* Facebook Audience is now supported in our Ad Mediation offer

### Bug fixes / Improvements

* Implement delegate _adViewWillCloseExpand_
* Refresh issue when switching from Premium Ad and Mediation Ad
* Unexpected JS _orientationchange_ event fired during init of _UIWebView_
* Remove deprecated method _didDownloadAdData_
* Mediation banner does not display if _SASLoaderNone_ loader is used
* MRAID Viewable state improvements
* Added support for passing custom parameters from delivery JSON template to the _SASAd_ element instance in the _SASAdView_
