//
//  AppDelegate.m
//  VASTVideoSample
//
//  Created by Clémence Laurent on 24/04/13.
//  Copyright (c) 2013 Smart AdServer. All rights reserved.
//

#import "AppDelegate.h"
#import "ViewController.h"


// Custom navigation controller to prevent rotation on sample list and DefaultAndInlineVideoViewControllers
@interface CustomNavigationViewController : UINavigationController

@end


@implementation CustomNavigationViewController

- (BOOL)shouldAutorotate {
	return NO;
}

@end


@implementation AppDelegate

- (void)dealloc {
	self.navigationController = nil;
	[_window release];
	[super dealloc];
}


- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    self.window = [[[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]] autorelease];
	
	ViewController *viewController = [[[ViewController alloc] initWithNibName:nil bundle:nil] autorelease];	
	self.navigationController = [[CustomNavigationViewController alloc] initWithRootViewController:viewController];

	self.window.rootViewController = self.navigationController;
    [self.window makeKeyAndVisible];
	
    return YES;
}

@end
