//
//  DefaultAndInlineVideoViewController.h
//  VASTVideoPlayerSample
//
//  Created by Loïc GIRON DIT METAZ on 17/10/13.
//  Copyright (c) 2013 Smart AdServer. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MediaPlayer/MediaPlayer.h>
#import "SASMoviePlayerViewController.h"
#import "SASMoviePlayerViewControllerDelegate.h"


/*
 This sample shows how to implement an inline video player, with or without fullscreen button.
 
 The fullscreen can be triggered using the fullscreen button (if any) or the rotation of the device.
 
 The video player will automatically dismiss itself when the playback is finished or can be closed manually
 by the user using the back button.
 */

@interface DefaultAndInlineVideoViewController : UIViewController <SASMoviePlayerViewControllerDelegate> {
	SASMoviePlayerViewController *_moviePlayerViewController;
	UIWebView *_imdbWebView;
	NSURL *_videoURL;
	NSURL *_imdbVideoURL;
	SASMoviePlayerControlsDisplayMode _displayMode;
	
	BOOL _forceRotation;
	BOOL _statusBarOrientationChanged;
	BOOL _contentVideoLoaded;
}

- (id)initWithVideoURL:(NSURL *)videoURL imdbVideoURL:(NSURL *)imdbVideoURL displayMode:(SASMoviePlayerControlsDisplayMode)displayMode;

@end
