//
//  FullscreenOnlyVideoViewController.h
//  VASTVideoSample
//
//  Created by Clémence Laurent on 29/04/13.
//  Copyright (c) 2013 Smart AdServer. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MediaPlayer/MediaPlayer.h>
#import "SASMoviePlayerViewControllerDelegate.h"
#import "SASMoviePlayerViewController.h"


/*
 This sample shows how to implement a fullscreen and modal video player.
 
 The video player will automatically dismiss itself when the playback is finished or can be closed manually
 by the user using a 'Done' button.
 */
@interface FullscreenOnlyVideoViewController : UIViewController <SASMoviePlayerViewControllerDelegate, UIAlertViewDelegate> {
	
	// The instance of the video player
	SASMoviePlayerViewController *_moviePlayerViewController;
	
	NSURL *_videoURL;
	BOOL _contentVideoLoaded;
}

- (id)initWithVideoURL:(NSURL *)videoURL;

@end
