//
//  SASPlayerMidrollIntervalConfig.h
//  SASVideoSDK
//
//  Created by Loïc GIRON DIT METAZ on 25/09/13.
//  Copyright (c) 2013 Smart AdServer. All rights reserved.
//

#import "SASPlayerMidrollConfig.h"


/** The SASPlayerMidrollIntervalConfig is used to set up midrolls position inside the content video.
 
 Using SASPlayerMidrollIntervalConfig means that midrolls must appears on a reccurrent basis, every
 X seconds (X being set during object initialization).
 
 */

@interface SASPlayerMidrollIntervalConfig : SASPlayerMidrollConfig

/** Initializes a SASPlayerMidrollIntervalConfig instance.
 
 @param interval The interval in seconds between each midrolls.
 
 */

- (instancetype)initWithInterval:(NSInteger)interval;


/** Returns an initialized instance of SASPlayerMidrollIntervalConfig.
 
 @param interval The interval in seconds between each midrolls.
 
 */

+ (instancetype)midrollConfigWithInterval:(NSInteger)interval;

@end
