//
//  SASPlayerMidrollPercentageConfig.h
//  SASVideoSDK
//
//  Created by Loïc GIRON DIT METAZ on 25/09/13.
//  Copyright (c) 2013 Smart AdServer. All rights reserved.
//

#import "SASPlayerMidrollConfig.h"


/** The SASPlayerMidrollPercentageConfig is used to set up midrolls position inside the content video.
 
 Using SASPlayerMidrollPercentageConfig means that midrolls must appears at predefined position, expressed
 in percents. This predefined position are set during object initialization.
 
 */

@interface SASPlayerMidrollPercentageConfig : SASPlayerMidrollConfig

/** Initializes a SASPlayerMidrollPercentageConfig instance.
 
 @param percentages An array of strings representing percentages where midrolls should be displayed. Each string should represent a number between 1 and 100.
 
 */

- (instancetype)initWithPercentages:(NSArray *)percentages;


/** Returns an initialized instance of SASPlayerMidrollPercentageConfig.
 
 @param percentages An array of strings representing percentages where midrolls should be displayed. Each string should represent a number between 1 and 100.
 
 */

+ (instancetype)midrollConfigWithPercentages:(NSArray *)percentages;

@end
